#include <DHT.h>

#include <LiquidCrystal.h> //Librairie pour l'cran LCD
#include <DHT.h> //Librairie pour le capteur DHT
 
LiquidCrystal lcd(12, 11, 4, 3, 2, 1); //Initialisation de l'cran LCD avec les numros des pins utiliss
 
#define DHTPIN 9 //Pin auquel est connect le capteur DHT
 
#define DHTTYPE DHT11 
 
const int intTimePause = 5000; //Czeka 5 sekund i odswierza
 
float fltHumidity; //Pourcentage d'humidit mesur
float fltTemperature; //Temprature mesure en Celsius
 
DHT dht(DHTPIN, DHTTYPE); //On initialise le capteur DHT
 
void setup()
{
  lcd.begin(16, 2); //On indique le nombre de colonnes et de lignes de l'cran
  lcd.clear(); //On efface tout ce qui se trouv  `e sur l'cran
}
 
void loop()
{
  fltHumidity = dht.readHumidity(); //On lit le pourcentage d'humidit
  fltTemperature = dht.readTemperature(); //On lit la temprature en degrs Celsuis
  if (isnan(fltTemperature) || isnan(fltHumidity)) //Si les valeures retournes ne sont pas des nombres :
  {
    lcd.setCursor(0, 1); //Positionnement du curseur
    lcd.print(DHTTYPE); //On affiche le type de capteur
    lcd.setCursor(5, 1);
    lcd.print(" illisible"); //On affiche l'erreur
  }
  else
  {
    //mise en forme et affichage des informations sur l'cran LCD
    lcd.setCursor(0, 0); //Positionnement du curseur
    lcd.print("Temp : ");
    lcd.setCursor(9, 0);
    lcd.print(fltTemperature); //Affichage de la temprature
    lcd.setCursor(13, 0);
    lcd.print((char)223); //Affiche le caractere  (degrs)
    lcd.setCursor(14, 0);
    lcd.print("C"); //En degrs Celsuis
    lcd.setCursor(0, 1);
    lcd.print("Wilg : ");
    lcd.setCursor(9, 1);
    lcd.print(fltHumidity); //Affichage de l'humidit
    lcd.setCursor(15, 1);
    lcd.print("%");
  }
  delay(intTimePause); //On actualise les informations toutes les x millisecondes.
}